import { jsx } from "react/jsx-runtime";
import { Swap as Swap$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Swap = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Swap", ...props, children: /* @__PURE__ */ jsx(Swap$1, { weight: variant }) });
  }
);
Swap.displayName = "Swap";
Object.assign(Swap, { isGdsIcon: true });
export {
  Swap
};
